# SPDX-License-Identifier: CC0-1.0

{ stdenv, fetchgit, tup }:

stdenv.mkDerivation rec {
  pname = "block_router";
  version = "0.1.1";

  nativeBuildInputs = [ tup ];

  src = fetchgit {
    url = "https://git.sr.ht/~ehmry/block_router";
    rev = "v" + version;
    sha256 = "0vw3s4q3rp5dp1i93sq0cybfssh3gbqgyqg6k69781pjda7mzn54";
  };

  installPhase = "install -Dm755 {.,$out}/block_router";

  meta = with stdenv.lib; {
    license = licenses.agpl3;
    maintainers = [ maintainers.ehmry ];
  };

}
