# SPDX-License-Identifier: CC0-1.0

{ stdenv, fetchgit, tup }:

stdenv.mkDerivation rec {
  pname = "sotest-producer";
  version = "0.2.0";

  nativeBuildInputs = [ tup ];

  src = fetchgit {
    url = "https://git.sr.ht/~ehmry/genode-sotest-producer";
    rev = "v" + version;
    sha256 = "01qy86khkihj8jgvgc92w4bb3kpf640g1l2m5h5ym7s03viqinkr";
  };

  installPhase = "install -Dm755 {.,$out/bin}/sotest-harness";

  meta = with stdenv.lib; {
    license = "LicenseRef-Genode.txt";
    maintainers = [ maintainers.ehmry ];
  };

}
